Install and integrate plotly with R

r
datavisualization

#1

Hi,

I am trying to integrate plotly with my RStudio by following the steps from their website->

http://help.plot.ly/documentation/r/getting-started/

But I am not able to install the packages given in the first 2-3 steps. I am getting errors like->

install_github(“ropensci/plotly”)
Downloading github repo ropensci/plotly@master
Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) :
there is no package called ‘stringi’

devtools::install_github(“ropensci/plotly”)
Downloading github repo ropensci/plotly@master
Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) :
there is no package called ‘stringi’

Why are these errors coming and how can I remove them?

Thanks.


#2

Try installing the “stringi” package manually and see if it works!


#3

@Aditya_Sharma,

Yes it worked.
thanks!